# -*- coding: utf-8 -*-
from setuphelpers import *
import copy

def install():
    pass

def audit():

    if not windows_version() >= "10.0.15063":
        return "OK"

    list_of_tiles = run_powershell("Get-AppxPackage -allusers")
    by_user_dict = {}
    by_app_dict = {u['Name']:u for u in list_of_tiles}
    for entry in list_of_tiles:
        for user_account in entry["PackageUserInformation"]:
            sid = user_account.split(' ')[0]
            if not sid in by_user_dict:
                by_user_dict[sid] = {}
            entrycopy = copy.deepcopy(entry)
            del entrycopy['PackageUserInformation']
            by_user_dict[sid][entry['Name']] =  entrycopy


    WAPT.write_audit_data_if_changed("audit-appx", "sort_by_sid", by_user_dict)
    WAPT.write_audit_data_if_changed("audit-appx", "sort_by_name", by_app_dict)
    return "OK"


